MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025959Open CASCADE[OCCT] OCCT:DRAWpublic2015-03-19 11:452015-05-14 16:32
Reportergka 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025959: Draw Harness - do not turn on Z-clipping implicitly by mouse ring
DescriptionSeems it will be better if clipping planes will be switched on after giving special command
Steps To ReproduceNo need for test case
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0039822)
git (administrator)
2015-04-16 11:21

Branch CR25959 has been created by isz.

SHA-1: 92940dde8def30c7f2cd6e328b899ac518445e2e


Detailed log of new commits:

Author: isz
Date: Thu Apr 16 11:21:36 2015 +0300

    0025959: Clipping planes are switched on by mouse ring
    
    Clipping planes now can not be switched by mouse ring or both right and left mouse buttons.
(0039838)
git (administrator)
2015-04-16 12:17

Branch CR25959 has been updated forcibly by isz.

SHA-1: d9e00d6fc634d24474c67a9b69854e830e9f9260
(0039840)
git (administrator)
2015-04-16 12:37

Branch CR25959 has been updated forcibly by isz.

SHA-1: b5e2ca6f517b8f46679743c9e88c2048e24ddb6d
(0039841)
git (administrator)
2015-04-16 12:39

Branch CR25959 has been updated forcibly by isz.

SHA-1: b1434494e7f279571cad154855f1d83e4c4b055d
(0039843)
isz (developer)
2015-04-16 12:41

Dear Kirill,
Please review branch CR25959.
(0039847)
kgv (developer)
2015-04-16 12:46

Please test the patch.
(0040129)
mkv (tester)
2015-04-22 18:52

Dear BugMaster,
Branch CR25959 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b1434494e7f279571cad154855f1d83e4c4b055d

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 94365385 / 94252506 [+0.12%]
Total CPU difference: 52681.47999999926 / 56192.519999999706 [-6.25%]
products component :
Total MEMORY difference: 23665556 / 23720718 [-0.23%]
Total CPU difference: 18458.489999999965 / 19069.279999999962 [-3.20%]

Testing on Windows:
occt component :
Total MEMORY difference: 57127109 / 57127628 [-0.00%]
Total CPU difference: 15952.599859599195 / 15976.577213298899 [-0.15%]
products component :
Total MEMORY difference: 15476980 / 15478724 [-0.01%]
Total CPU difference: 6196.125718499983 / 6217.388654799964 [-0.34%]

There are no differences in images found by testdiff.
(0041034)
git (administrator)
2015-05-14 16:32

Branch CR25959 has been deleted by inv.

SHA-1: b1434494e7f279571cad154855f1d83e4c4b055d

- Related Changesets
occt: master 58978f9b
Timestamp: 2015-04-16 09:39:37
Author: isz
Committer: bugmaster
Details ] Diff ]
0025959: Draw Harness - do not turn on Z-clipping implicitly by mouse ring

Clipping planes now can not be switched on by mouse ring or both right and left mouse buttons. To do this, user has to press certain button or call certain command.
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-19 11:45 gka New Issue
2015-03-19 11:45 gka Assigned To => kgv
2015-03-30 09:36 kgv Severity minor => integration request
2015-03-30 09:36 kgv Category OCCT:Visualization => OCCT:DRAW
2015-04-10 09:31 kgv Assigned To kgv => isz
2015-04-10 09:31 kgv Status new => assigned
2015-04-10 09:36 szv Summary Clipping palnes are switched on by combine of mouse ring and press on key "Ctrl" => Clipping planes are switched on by combine of mouse ring and press on key "Ctrl"
2015-04-10 09:36 szv Description Updated View Revisions
2015-04-16 11:19 isz Summary Clipping planes are switched on by combine of mouse ring and press on key "Ctrl" => Clipping planes are switched on by mouse ring
2015-04-16 11:21 git Note Added: 0039822
2015-04-16 11:40 isz Summary Clipping planes are switched on by mouse ring => Draw Harness - Clipping planes are switched on by mouse ring
2015-04-16 12:17 git Note Added: 0039838
2015-04-16 12:21 isz Summary Draw Harness - Clipping planes are switched on by mouse ring => Draw Harness - do not turn on Z-clipping implicitly by mouse ring
2015-04-16 12:37 git Note Added: 0039840
2015-04-16 12:39 git Note Added: 0039841
2015-04-16 12:41 isz Note Added: 0039843
2015-04-16 12:41 isz Assigned To isz => kgv
2015-04-16 12:41 isz Status assigned => resolved
2015-04-16 12:41 isz Steps to Reproduce Updated View Revisions
2015-04-16 12:46 kgv Note Added: 0039847
2015-04-16 12:46 kgv Assigned To kgv => bugmaster
2015-04-16 12:46 kgv Status resolved => reviewed
2015-04-16 13:00 mkv Assigned To bugmaster => mkv
2015-04-22 18:52 mkv Note Added: 0040129
2015-04-22 18:52 mkv Assigned To mkv => bugmaster
2015-04-22 18:52 mkv Status reviewed => tested
2015-04-22 18:53 mkv Test case number => Not needed
2015-04-25 17:37 bugmaster Changeset attached => occt master 58978f9b
2015-04-25 17:37 bugmaster Status tested => verified
2015-04-25 17:37 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:32 git Note Added: 0041034


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker